using System;
using System.Collections.Generic;
using System.Text;

namespace Vortex.SceneFramework {


	/// <summary>
	/// Domain superclass for background scenes (fills all background and opaque)
	/// </summary>
	public class Scene : DomainNode {

		/// <summary>
		/// Override. By default Domain always contains point because it is bottom level element
		/// </summary>
		/// <param name="point">The point to check.</param>
		/// <returns>
		/// 	<c>true</c> if the specified domain contains point; otherwise, <c>false</c>.
		/// </returns>
		public override bool ContainsPoint(Vortex.Drawing.Vector2 point) {
			return true;
		}
		/*
		/// <summary>
		/// Invoked when domain becomes complete active (domain switch effect is complete).
		/// </summary>
		protected internal void CompleteActivate() {
			;
		}
		*/

		/// <summary>
		/// Invoked immediately when domain becomes active (user invoked SetScene).
		/// </summary>
		protected internal override void Activate() {
			base.Activate();
		}

		/// <summary>
		/// Invoked when domain is deactivated (another domain is activated).
		/// </summary>
		protected internal override void Deactivate() {
			base.Deactivate();
		}
	}
	

}
